Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.clustering.state
Class Replicator

    java.lang.Object
      org.apache.axis2.clustering.state.Replicator

    public final class Replicator

extends java.lang.Object

Replicates serializable properties

Constructor Summary
`Replicator()`

Method Summary
`static void` | `replicate(AbstractContext abstractContext)` Replicate all serializable properties stored in the given `abstractContext`.
`static void` | `replicate(AbstractContext abstractContext, java.lang.String[] propertyNames)` Replicate all the properties given in `propertyNames` in the specified `abstractContext`
`static void` | `replicate(MessageContext msgContext)` Replicates all serializable properties in the ConfigurationContext, ServiceGroupContext & ServiceContext
`static void` | `replicateState(StateClusteringCommand command, AxisConfiguration axisConfig)` Replicate state using a custom StateClusteringCommand

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Replicator

    public Replicator()

Method Detail

### replicateState

    public static void replicateState(StateClusteringCommand command,
                                      AxisConfiguration axisConfig)
                               throws ClusteringFault

  Replicate state using a custom StateClusteringCommand

  Parameters:
    `command` - The StateClusteringCommand which is used for replicating state
    `axisConfig` - The AxisConfiguration
  Throws:
    `ClusteringFault` - If replication fails

### replicate

    public static void replicate(MessageContext msgContext)
                          throws ClusteringFault

  Replicates all serializable properties in the ConfigurationContext, ServiceGroupContext & ServiceContext

  Parameters:
    `msgContext` - The MessageContext associated with the ServiceContext, ServiceGroupContext and ConfigurationContext to be replicated
  Throws:
    `ClusteringFault` - If replication fails

### replicate

    public static void replicate(AbstractContext abstractContext)
                          throws ClusteringFault

  Replicate all serializable properties stored in the given `abstractContext`.

  Parameters:
    `abstractContext` - The AbstractContext which holds the properties to be replicated
  Throws:
    `ClusteringFault` - If replication fails

### replicate

    public static void replicate(AbstractContext abstractContext,
                                 java.lang.String[] propertyNames)
                          throws ClusteringFault

  Replicate all the properties given in `propertyNames` in the specified `abstractContext`

  Parameters:
    `abstractContext` - The context to be replicated
    `propertyNames` - The names of the properties to be replicated
  Throws:
    `ClusteringFault` - IF replication fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.